package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.GarbageRegionExample;
import com.lightinit.hsdatashow.entity.GreenDistribution;
import com.lightinit.hsdatashow.entity.GreenDistributionExample;
import java.util.List;

import com.lightinit.hsdatashow.model.ms.GreenModel;
import org.apache.ibatis.annotations.Param;

public interface GreenDistributionMapper {
    long countByExample(GreenDistributionExample example);

    int deleteByExample(GreenDistributionExample example);

    int deleteByPrimaryKey(Long id);

    int insert(GreenDistribution record);

    int insertSelective(GreenDistribution record);

    List<GreenDistribution> selectByExample(GreenDistributionExample example);

    GreenDistribution selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") GreenDistribution record, @Param("example") GreenDistributionExample example);

    int updateByExample(@Param("record") GreenDistribution record, @Param("example") GreenDistributionExample example);

    int updateByPrimaryKeySelective(GreenDistribution record);

    int updateByPrimaryKey(GreenDistribution record);

    List<GreenModel> selectList(GarbageRegionExample example);

    long selectCount(GarbageRegionExample example);

    GreenModel findByDistributionId(Long id);
}